import java.util.Arrays;


public class BubbleSort {
	
	public void bubbleSort( int[] valores ){
		for( int i = valores.length - 1; i > 0; i-- ){
			for ( int j = 0; j < i; j++ ){
				if ( valores[j] > valores[j+1] ){
					int aux = valores[j];
					valores[j] = valores[j + 1];
					valores[j + 1] = aux;
				}
			}
		}
	}
	
	public static void main(String[] args) {
		int[] valores = {4, 6, 8, 1, 5, 2};
		BubbleSort sort = new BubbleSort();
		sort.bubbleSort(valores);
		
		System.out.println(Arrays.toString(valores));
	}
	
}
